#
# Conditional build:
%bcond_with	tests		# perform "make test" (requires libvirtd)
#
%define		pdir	Sys
%define		pnam	Virt
%include	/usr/lib/rpm/macros.perl
Summary:	Sys::Virt - Represent and manage a libvirt hypervisor connection
Summary(pl.UTF-8):	Sys::Virt - reprezentacja i zarządzanie połączeniem z hipernadzorcą libvirt
Name:		perl-Sys-Virt
Version:	1.0.5
Release:	1
License:	GPL v2+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Sys/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	f3c91cb5be52919b28eb51ace45dc3f9
URL:		http://search.cpan.org/dist/Sys-Virt/
BuildRequires:	libvirt-devel >= 1.0.5
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	pkgconfig
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	libvirt-daemon >= 1.0.5
BuildRequires:	perl-CPAN-Changes
BuildRequires:	perl-Test-Pod
BuildRequires:	perl-Test-Pod-Coverage
BuildRequires:	perl-Test-Simple
BuildRequires:	perl-Time-HiRes
BuildRequires:	perl-XML-XPath
%endif
Requires:	libvirt >= 1.0.5
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Sys::Virt module provides a Perl XS binding to the libvirt virtual
machine management APIs. This allows machines running within arbitrary
virtualization containers to be managed with a consistent API.

%description -l pl.UTF-8
Moduł Sys::Virt dostarcza wiązanie XS Perla do API zarządzania
maszynami wirtualnymi libvirt. Pozwala na zarządzanie poprzez
jednolite API maszynami wirtualnymi działającymi w dowolnych
kontenerach.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} -j1 \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a examples $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS Changes README
%{perl_vendorarch}/Sys/Virt.pm
%dir %{perl_vendorarch}/Sys/Virt
%{perl_vendorarch}/Sys/Virt/*.pm
%dir %{perl_vendorarch}/auto/Sys/Virt
%{perl_vendorarch}/auto/Sys/Virt/Virt.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Sys/Virt/Virt.so
%{_mandir}/man3/Sys::Virt*.3pm*
%{_examplesdir}/%{name}-%{version}
%changelog
* Sat Jun 22 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Sys-Virt.git;a=log;h=master

* Sat Jun 22 2013 Jakub Bogusz <qboosh@pld-linux.org> 3513e5b
- updated to 1.0.5

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> e1e00ba
- rebuild with perl 5.18.0
- release 2 (by relup.sh)

* Sat Mar 09 2013 Jakub Bogusz <qboosh@pld-linux.org> 7f6a19b
- updated to 1.0.3

* Sat Mar 02 2013 Jakub Bogusz <qboosh@pld-linux.org> 7cc1f07
- updated to 1.0.2

* Wed Jul 11 2012 Jakub Bogusz <qboosh@pld-linux.org> f4b1f5e
- updated to 0.9.13

* Sat Jun 30 2012 Jakub Bogusz <qboosh@pld-linux.org> e35f49f
- updated to 0.9.12
- pl
- disabled tests by default, they rely on running libvirtd

* Tue Mar 29 2011 Jan Rękorajski <baggins@pld-linux.org> cc5ddfa
- too many dirs

* Tue Mar 29 2011 Jan Rękorajski <baggins@pld-linux.org> aac3af4
- adapter

* Tue Mar 29 2011 Jan Rękorajski <baggins@pld-linux.org> 7646948
- initial revision by pldcpan

